<div class="container h-100">
    <div class="row h-100 justify-content-center align-items-center">
        <div class="card">
            <h4 class="card-header text-center">Login</h4>
            <div class="card-body">
                <!--div class="alert alert-danger" role="alert">
                    Usuario y/o Contraseña incorrecta.
                </div-->
                <form data-toggle="validator" role="form" method="post" action="#" [formGroup]="loginForm" (ngSubmit)="login()">
                    <input type="hidden" class="hide" id="csrf_token" name="csrf_token" value="C8nPqbqTxzcML7Hw0jLRu41ry5b9a10a0e2bc2">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Usuario</label>
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fa fa-envelope-open-o" aria-hidden="true"></i></span>
                                    </div>
                                    <input type="text" class="form-control" formControlName="username" name="login_email" value="JossMP" pattern=".{4,}" title="Cuatro(4) o mas caracteres" required="">
                                </div>
                                <div class="help-block with-errors text-danger"></div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Contraseña</label>
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fa fa-unlock" aria-hidden="true"></i></span>
                                    </div>
                                    <input type="password" name="login_password" formControlName="password" class="form-control" pattern=".{4,}" title="Cuatro(4) o mas caracteres" required="">
                                </div>
                                <div class="help-block with-errors text-danger"></div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="checkbox checkbox-primary">
                            <input id="checkbox_remember" type="checkbox" name="remember">
                            <label for="checkbox_remember"> Recordar</label>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <input type="hidden" name="redirect" value="">
                            <input type="submit" class="btn btn-primary btn-lg btn-block" value="Login" name="submit">
                        </div>
                    </div>
                </form>
                <div class="clear"></div>
                <!--i class="fa fa-user fa-fw"></i> ¿No tienes cuenta aún? <a href="#">Regístrate</a><br>
                <i class="fa fa-undo fa-fw"></i> ¿Se te olvidó tu contraseña? <a href="#">Recupérala</a-->
            </div>
        </div>
    </div>
</div>